org.apache.ignite.internal.processors.cache.tree

## Class SearchRow

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.tree.SearchRow

All Implemented Interfaces:
  MvccVersionAware, CacheSearchRow

Direct Known Subclasses:
  MvccMaxSearchRow, MvccMinSearchRow, MvccSearchRow

    public class SearchRow
    extends Object
    implements CacheSearchRow

### Constructor Summary

Constructors
Constructor and Description
`SearchRow(int cacheId)` Instantiates a new fake search row as a logic cache based bound.
`SearchRow(int cacheId, KeyCacheObject key)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `cacheId()`
`int` `hash()`
`KeyCacheObject` `key()`
`long` `link()`
`long` `mvccCoordinatorVersion()`
`long` `mvccCounter()`
`int` `mvccOperationCounter()`
`byte` `mvccTxState()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.mvcc.MvccVersionAware

`mvccVersion, mvccVersion, mvccVersion, mvccVersion`

### Constructor Detail

#### SearchRow

    public SearchRow(int cacheId,
                     KeyCacheObject key)

Parameters:
  `cacheId` - Cache ID.
  `key` - Key.

#### SearchRow

    public SearchRow(int cacheId)

Instantiates a new fake search row as a logic cache based bound.

Parameters:
  `cacheId` - Cache ID.

### Method Detail

#### key

    public KeyCacheObject key()

Specified by:
  `key` in interface `CacheSearchRow`
Returns:
  Cache key.

#### link

    public long link()

Specified by:
  `link` in interface `CacheSearchRow`
Returns:
  Link for this row.

#### hash

    public int hash()

Specified by:
  `hash` in interface `CacheSearchRow`
Returns:
  Key hash code.

#### cacheId

    public int cacheId()

Specified by:
  `cacheId` in interface `CacheSearchRow`
Returns:
  Cache ID or `0` if cache ID is not defined.

#### mvccCoordinatorVersion

    public long mvccCoordinatorVersion()

Specified by:
  `mvccCoordinatorVersion` in interface `MvccVersionAware`
Returns:
  Mvcc coordinator version.

#### mvccCounter

    public long mvccCounter()

Specified by:
  `mvccCounter` in interface `MvccVersionAware`
Returns:
  Mvcc counter.

#### mvccOperationCounter

    public int mvccOperationCounter()

Specified by:
  `mvccOperationCounter` in interface `MvccVersionAware`
Returns:
  Mvcc operation counter.

#### mvccTxState

    public byte mvccTxState()

Specified by:
  `mvccTxState` in interface `MvccVersionAware`
Returns:
  Tx state hint for 'created' mvcc version.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021